<style>
	.gmap {
  		height: 300px;
	}
	.gmap img {
	  	max-width: none;
	}
</style>

<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">

<!-- Optional theme -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap-theme.min.css">

<!-- Latest compiled and minified JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>

<script type="text/javascript" src="https://code.jquery.com/jquery-1.11.0.min.js"></script>
<script type="text/javascript" src="https://demos.excelisys.com/fred/gmaps/js/gmap3.min.js"></script>
<script src="http://maps.googleapis.com/maps/api/js?sensor=false"></script>




<script>

    function get_location() {
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(success, fail);
        } else {
            alert("Geolocation is not supported by this browser.");
        }
    }

    function success(position) {
        get_directions(position.coords.latitude + ',' + position.coords.longitude);
    }
    
    function fail(error) 
    {
            switch(error.code) // Returns 0-3
            {
                    case 0:
                            // Unknown error alert error message
                            alert('Error: ' + error.message + '.');
                            break;

                    case 1:
                            // Permission denied alert error message
                            alert('Error: ' + error.message + '. Location services for your browser must be enable on your device to get directions from your current location.');
                            break;
                    case 2:
                            // Position unavailable alert error message
                            alert('Error: ' + error.message + '. Your current position is unavailable. Please try again later.');
                            break;
            }
    }



    function get_directions(start_position) {    
        
        
        $(function(){$("#gmap-display").gmap3({ 
          getroute:{
            options:{
                origin: start_position,
                destination: "1600 Pennsylvania Ave NW, Washington, DC, 20500",
                travelMode: google.maps.DirectionsTravelMode.DRIVING
            },
            callback: function(results){
              if (!results) return;
              $(this).gmap3({
                map:{
                  options:{
                    zoom: 13,  
                    center: [-33.879, 151.235]
                  }
                },
                directionsrenderer:{
                  container: $(document.createElement("div")).addClass("googlemap").insertAfter($("#gmap-display")),
                  options:{
                    directions:results
                  } 
                }
              });
            }
          }
        });
        });
	}
    
    

    $(document).ready(function() {
        var google_map_address = '1600 Pennsylvania Ave NW, Washington, DC, 20500';
        $(function(){
          $('#gmap-display').gmap3({
            marker:{
              address: google_map_address 
            },
            map:{
              options:{
                zoom: 14
              }
            }
          });
        });
    });
</script>

<div class="container">
	<div class="row">
		<div class="col-md-6">
			<h4>Google Maps Javascript API Demo</h4>
			<h5>Using the Gmaps3 JQuery plugin and HTML5 Geolocation API</h5>
			<p>When the document initially loads a Google map is displayed with a marker placed at the White House.  Clicking the directions button results in a permission dialog from the browser to share the user's location via HTML5 geolocation services.  When permission is granted, a map from the user's location to the destination with turn-by-turn directions is displayed.</p>
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-6">
			<h5>Location: 1600 Pennsylvania Ave NW, Washington, DC 20500</h5>
		</div>
	</div>

	<div class="row">
    	<div class="col-md-6">
        	<!-- GOOGLE MAP -->
        	<div class="gmap" id="gmap-display"></div>
    	</div>
                    
    	<div class="col-md-3">
        	<button id="directions" class="btn btn-primary" onclick="get_location()">Directions</button>
    	</div>
	</div>
</div>